C======= MAIN PROGRAM FOR AUGER ========
      INTEGER NES,NE,S,NW1,EXPI,RPAE,
     *        U1(25),SPI(25),LLK(12),SSK(12),
     *        K1(12),K0(12),NNLK(25),
     *        I3(25),K(12),LI(25),LK(12),
     *        IMIN(12),LV(100),LV1(12),
     *        FZ1(12),FZ2(12),FZ3(12)
      REAL*8 LAMI(25),EKIN(12),PR(12),EPS(12),
     *       XMAXK(12),XK0(12),DELXK(11),LAMI1(12),
     *       LAMK(1200),LADK(1200),FME(1200),FMEA(1200),
     *       CLS(12),B1(12),AL(240),BL(240),CO(12),
     *       WL(20),WLC(1200),OM2(12),
     *       ME(1200),ME1(1200),ME2(1200),
     *       D3(1200),D4(1200),D5(1200),D6(1200),
     *       OMEGA(1200),OMEGA1(12),OMEGA2(12),DELOM(100),
     *       C(2400),Q(2400),DV1(2400),DV2(2400),
     *       ARB(28800),ARB1(28800),ARB2(2400),
     *       R1(2015), R2(2015),R3(2015),
     *       R4(2015),R5(2015),R6(2015),R7(2015),
     *       R9(2015),R10(2075000),MA(5760000)

      NAMELIST/AGR/NES,EXPI,EKIN,FZ1,FZ2,FZ3,LV1,
     *     RPAE,NE,S,NW1,EPS
      OPEN(5,FILE='SYS$INPU',STATUS='OLD')
      READ(5,AGR)
      OPEN(6,FILE='SYS$OUTP',STATUS='NEW')
      OPEN(10,FILE='OLD$DB1',STATUS='OLD',FORM='UNFORMATTED')
      OPEN(11,FILE='OLD$DB2',STATUS='OLD',FORM='UNFORMATTED')
      IF (NES.GT.1)
     *OPEN(12,FILE='OLD$DB3',STATUS='OLD',FORM='UNFORMATTED')
      IF (NES.GT.2)
     *OPEN(13,FILE='OLD$DB4',STATUS='OLD',FORM='UNFORMATTED')
      IF (NES.GT.3)
     *OPEN(14,FILE='OLD$DB5',STATUS='OLD',FORM='UNFORMATTED')
      IF (NES.GT.4)
     *OPEN(15,FILE='OLD$DB6',STATUS='OLD',FORM='UNFORMATTED')
      IF (NES.GT.5)
     *OPEN(16,FILE='OLD$DB7',STATUS='OLD',FORM='UNFORMATTED')
      IF (NES.GT.6)
     *OPEN(17,FILE='OLD$DB8',STATUS='OLD',FORM='UNFORMATTED')
      IF (NES.GT.7)
     *OPEN(18,FILE='OLD$DB9',STATUS='OLD',FORM='UNFORMATTED')
      IF (NES.GT.8)
     *OPEN(19,FILE='OLD$DB10',STATUS='OLD',FORM='UNFORMATTED')
      IF (NES.GT.9)
     *OPEN(20,FILE='OLD$DB11',STATUS='OLD',FORM='UNFORMATTED')
      IF (NES.GT.10)
     *OPEN(21,FILE='OLD$DB12',STATUS='OLD',FORM='UNFORMATTED')
      IF (NES.GT.11)
     *OPEN(22,FILE='OLD$DB13',STATUS='OLD',FORM='UNFORMATTED')

      IF((NE.GT.2015).OR.
     *  (NW1.GT.100).OR.
     *  (S.GT.25).OR.
     *  (NES.GT.12)) THEN
                WRITE(6, 10)
                WRITE(*, 10)
       END IF
   10 FORMAT('==  CHECK ARRAYS DIMENSIONS!!!===')
      CALL AUGER(NES,FZ1,FZ2,FZ3,LV1,EXPI,
     *       EKIN,RPAE,NE,S,NW1,EPS,
     *       CO,LAMI1,U1,NNLK,SPI,LLK,SSK,K1,K0,
     *       I3,K,LI,LK,LV,CLS,B1,LAMI,IMIN,
     *       D3,D4,D5,D6,XMAXK,XK0,DELXK,
     *       LAMK,LADK,FME,FMEA,ME,ME1,ME2,PR,
     *       AL,BL,MA,OMEGA,WL,WLC,DELOM,OMEGA1,OMEGA2,
     *       OM2,C,Q,DV1,DV2,ARB,ARB1,ARB2,
     *       R1,R2,R3,R4,R5,R6,R7,R9,R10)
      STOP
      END